#ifndef _LCD_FUNCTIONS_H
#define _LCD_FUNCTIONS_H

#include <inttypes.h>
#include <string.h>
#include "lcd_lib.h"

uint8_t LCD_x; // cursor
uint8_t LCD_y; // position

extern uint8_t POV_mode;

char lcd_buffer[17];

void print_char_to_LCD(char c, int x, int y);
void init_LCD(void);
void LCD_forward(void);
void LCD_space(void);
void LCD_backspace(void);
void LCD_clear(void);

#endif
