#ifndef _TRANSMIT_H
#define _TRANSMIT_H

// Send a byte over UART (to radio)
void USART_SENDBYTE(unsigned char SendByte);

// Send a packet to the POV to light the pixel @ row row_addr, col col_addr, and with color defined in the msg.
void radio_send_packet(uint8_t row_addr, uint8_t col_addr, uint16_t msg);

// Initialize the UART communication with the radio.
void init_radio_uart(void);

#endif
