function SVMPerf(alphs)

x_sz = 10;
y_sz = 8;

a=size(alphs);
s=size(alphs{1});
distsavg = zeros(s(2));
success = 0;

for j=1:a(2)
    [success_ct, winner, dists] = SVMClassify(alphs, j, x_sz, y_sz);
    distsavg = distsavg + dists;
    success = success + success_ct;
end

distsavg = 1/s(2)*distsavg;
distsavg = [distsavg zeros(s(2), 1)];
distsavg = [distsavg; zeros(1, s(2)+1)];
pcolor(distsavg);
title(sprintf('Average SVM Performance on all alphabets'));
ylabel('Letter to be classified');
xlabel('Classification strength as this letter (dark blue = high)');
set(gca,'YTick',1:s(2));
set(gca,'XTick',1:s(2));
set(gca,'XTickLabel',[ones(s(2),4)*' ' reshape('A':'Z', s(2), 1)]);
set(gca,'YTickLabel',reshape('A':'Z', s(2), 1));

fprintf('Overall Success Rating: %.4f\n', success/(a(2)*s(2)));
end
