function dist = get_distance(inp1, inp2)
% assume inp1 and inp2 are same size: y by x

% linear kernel
 dist = sum(sum((inp1-inp2).^2));

% radial basis function kernel
% dist = exp(1/100000*sum(sum((inp1-inp2).^2)));

% poly kernel
% dist = (sum(sum(inp1.*inp2)))^-0.4;

% other vectors
% % top row
% dist = dist + (mean(inp1(1,:)) - mean(inp2(1,:))).^2;
% % bottom row
% dist = dist + (mean(inp1(end,:)) - mean(inp2(end,:))).^2;
% % left col
% dist = dist + (mean(inp1(:,1)) - mean(inp2(:,1))).^2;
% % right col
% dist = dist + (mean(inp1(:,end)) - mean(inp2(:,end))).^2;
% % overall
% dist = dist + (mean(mean(inp1)) - mean(mean(inp2))).^2;

end

