// Justin Churchill (jec324) Stephen Wu (shw46)
// ECE 4760 Lab 5
// normdrawing.c

#include "normdrawing.h"
#include <stdio.h>

// clear the drawing
void clear_norm_drawing(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8]) {
	int i, j;
	for (i= 0; i < Y_SCALED; i++) {
		for (j= 0; j < X_SCALED; j++) {
			set_norm_matrix(drawing, j,i,0);
		}
	}
}

// set value at (x,y) in drawing
void set_norm_matrix(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8], uint8_t x, uint8_t y, uint8_t val) {
	drawing[x][y/8] = (val ? drawing[x][y/8] | (1 << (y%8)) : drawing[x][y/8] & ~(1 << (y%8)));
}

// get value at (x,y) in drawing
uint8_t get_norm_matrix(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8], uint8_t x, uint8_t y) {
	return !!(drawing[x][y/8] & (1 << (y%8)));
}

// print the drawing
void print_norm_drawing(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8]) {
	int i, j;
	for (i= 0; i < Y_SCALED; i++) {
		for (j= 0; j < X_SCALED; j++) {
			fprintf(stdout, "%c", (get_norm_matrix(drawing,j,i) == 1 ? '0' : ' '));
			//fprintf(stdout, "%c", (get_norm_matrix(drawing,j,i) == 1 ? '1' : '0'));
		}
		fprintf(stdout, "\n");

	}
}
