#ifndef _NORMDRAWING_H
#define _NORMDRAWING_H

// Functions necessary to access
// or set or do anything toan X_SCALED x Y_SCALED drawing.

#include "constants.h"
#include <inttypes.h>

// clear the drawing
void clear_norm_drawing(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8]);

// set value at (x,y) in drawing
void set_norm_matrix(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8], uint8_t, uint8_t, uint8_t);

// get value at (x,y) in drawing
uint8_t get_norm_matrix(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8], uint8_t, uint8_t);

// print the drawing
void print_norm_drawing(uint8_t drawing[X_SCALED][(Y_SCALED+7)/8]);

#endif
